import React from 'react';
declare type KeyValue = {
    [key: string]: any;
};
declare type KeyValueMap = {
    [key: string]: string | ((state: KeyValue, props?: KeyValue) => any);
};
declare type MapperFunction = (state: KeyValue, props?: KeyValue) => KeyValue;
declare type Mapper = string[] | KeyValueMap | MapperFunction;
declare type ConnectContextOptions = {
    stateMappers?: Mapper;
    actionMappers?: Mapper;
};
declare type ConenctContextFactory = (Component: React.ComponentType, options: ConnectContextOptions) => React.FunctionComponent;
declare function connectContext<T = any>(Context: React.Context<T>, Component: React.ComponentType, options?: ConnectContextOptions): React.FunctionComponent;
declare function connectContextFactory<T = any>(Context: React.Context<T>): ConenctContextFactory;
declare function useConnectedContextFactory<T = any>(Context: React.Context<T>): (options?: ConnectContextOptions, props?: KeyValue) => KeyValue;
export default connectContext;
export { connectContextFactory, useConnectedContextFactory, };
